#!/usr/bin/env python3
#
# Task3.py deals with cartopy and maps.
# One focus is the use of different coordinate reference systems: one for the map projection, one coming with the data to be plotted
#
# Task3.py first looks at maps without data (only coastlines, country boarders, rivers etc) 
# To have data to plot, make sure to first run Figs4Paper.py with PS_RCP85E  = 'yes'
# 
# To run in ipython:
# %run Figs4Paper.py
# %run Task3.py
#--------------------------------------------------------------------------------

#import necessary modules for Task3.py
import matplotlib.pyplot as plt                    #basic plotting stuff in python, e.g. create a figure window via plt.figure()
import cartopy.crs as ccrs                         #cartopy coordinate reference systems (crs), e.g. PlateCarree [equidistant lon/lat], Mercator, Mollweide...
import cartopy.feature as cfeature                 #cartopy features, e.g. borders, rivers, lakes, coast lines
from cartopy.util import add_cyclic_point          #cartopy utilities, e.g. add a cyclic point to identify 360 degrees and 0 degrees longitude 
from globals import PS_lons, PS_lats, PS_T2D_scal  #import the variables you want to plot, passed via a 'helper module', globals.py


#simple coast lines
#-----------------------------------------------------------
print("cartopy: draw coastlines using PlateCarree projection [equidistant longitude / latitude]")
#Here comes your contribution


#more features
#-----------------------------------------------------------
print("cartopy: draw coastlines using Mollweide projection, add lakes, rivers, and other cfeatures")
#Here comes your contribution


#add data to map
#-----------------------------------------------------------
print("cartopy: map (coastlines etc.; Mollweide projection) plus data (temperature change; PlateCarree projection [equidistant longitude / latitude])")
#Here comes your contribution
